Follow

iOS App Update (v5.4)

What's New in Version 5.4 (Released 3/27/2017)

New and improved user experience!
Minor enhancements and bug fixes

Requirements: Requires iOS 9.0 or later. Compatible with iPhone, iPad, and iPod touch. 

 

 

Was this article helpful?
5 out of 5 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk